summaryrefslogtreecommitdiffstats
path: root/dvm/2145/testcase
diff options
context:
space:
mode:
authorRahul <rahul@gluster.com>2011-03-17 03:06:05 -0700
committerVijay Bellur <vijay@gluster.com>2011-03-21 13:13:03 +0530
commit8d97979cc0a56af673c0d2f17ea5b090a11d378a (patch)
treef299bb8d6a16fd88e71a80b73b1e9690553d4899 /dvm/2145/testcase
parent55d19cf574fdd1b5bfa29bf6875ccc89c7dbf4f4 (diff)
Testcase for Bug 2145
Signed-off-by: Vijay Bellur <vijay@gluster.com>
Diffstat (limited to 'dvm/2145/testcase')
-rwxr-xr-xdvm/2145/testcase17
1 files changed, 17 insertions, 0 deletions
diff --git a/dvm/2145/testcase b/dvm/2145/testcase
new file mode 100755
index 0000000..afeee55
--- /dev/null
+++ b/dvm/2145/testcase
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+source ./regression_helpers
+
+VOLNAME="vol$global_bug_id";
+
+$GLUSTERFSDIR/gluster volume create $VOLNAME $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $VOLNAME 2>/dev/null 1>/dev/null;
+
+mount_glusterfs $VOLNAME;
+
+mknod -m 0666 $FUSE_MOUNT/testblock b 13 42 2>/dev/null 1>/dev/null;
+
+ls -l $FUSE_MOUNT/testblock | grep "13, 42" 2>/dev/null 1>/dev/null;
+
+exit $?; \ No newline at end of file